Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class FacetListIterator

    java.lang.Object
      com.saxonica.schema.FacetListIterator

All Implemented Interfaces:
  Iterator

    public class FacetListIterator

extends Object
implements Iterator

An iterator over a list of facets, incorporating the semantics for inheritance of facets from a base type

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`
`void` | `setMask(String name)` Sets the mask for this iterator.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setMask

    public void setMask(String name)

  Sets the mask for this iterator. The mask is the name of the facets to enumerate.

  Parameters:
    `name` - the name of the facets to enumerate

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.